﻿@model Reporting.Models.DataModel

<div class="container">
    <div class="text-right w-100">
        <a class="btn btn-danger" asp-controller="Home" asp-action="Destroy">Pulisci dati</a>
    </div>
    <h2>Città</h2>
    <table class="table" id="cities">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nome</th>
                <th>Latitudine</th>
                <th>Longitudine</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.Cities)
            {
                <tr>
                    <td>@item.CityId</td>
                    <td>@item.Name</td>
                    <td>@item.Latitude</td>
                    <td>@item.Longitude</td>
                </tr>
            }
        </tbody>
    </table>

    <h2>Segnalazioni</h2>
    <table class="table" id="reports">
        <thead>
            <tr>
                <th>Id</th>
                <th>Città</th>
                <th>Quantità</th>
                <th>Data</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.Reports)
            {
                <tr>
                    <td>@item.ReportId</td>
                    <td>@(Model.Cities.FirstOrDefault(x => x.CityId == item.CityId).Name ?? "-")</td>
                    <td>@item.Quantity</td>
                    <td>@item.Date</td>
                </tr>
            }
        </tbody>
    </table>
</div>
